### Method

# GObject Value set_instance

#### Declaration [src]

    void
    g_value_set_instance (
      GValue* value,
      gpointer instance
    )

#### Description [src]

Sets `value` from an instantiatable type.

This calls the `GTypeValueCollectFunc` function for the type the `GValue` contains.

#### Parameters

`instance`

  Type: `gpointer`

  The instance.

  The argument can be `NULL`.
  The data is owned by the caller of the method.